{
	"name": "wateringapp-frontend",
	"description": "Frontend part of the school project WateringApp powered by the WetBois",
	"author": "WetBois",
	"version": "0.0.1",
	"private": true,
	"license": "UNLICENSED",
	"config": {
		"default_api_path": "/api",
		"default_public_path": "/"
	},
	"scripts": {
		"test": "jest",
		"start": "cross-env NODE_ENV=development webpack serve --allowed-hosts all --config build/webpack.config.js",
		"start:localhost": "cross-env DEV_HOST=http://localhost:3000 npm start",
		"build": "cross-env NODE_ENV=production npm run bundle",
		"pages": "build-storybook -c .storybook -o public",
		"lint": "eslint --max-warnings 0 --ext .js,.ts,.vue src test build .storybook \"*.config.js\"",
		"unit": "cross-env NODE_ENV=test jest",
		"analyze": "cross-env ANALYZE=true npm run build",
		"audit": "npm audit --production",
		"bundle": "webpack --progress --config build/webpack.config.js",
		"storybook": "start-storybook -p 3333"
	},
	"dependencies": {
		"@babel/core": "^7.17.9",
		"@babel/preset-env": "^7.16.11",
		"@fortawesome/fontawesome-svg-core": "^1.3.0",
		"@fortawesome/free-solid-svg-icons": "^6.1.1",
		"@fortawesome/vue-fontawesome": "^3.0.0-5",
		"@lion/dialog": "^0.13.7",
		"@popperjs/core": "^2.11.5",
		"@vue/compiler-sfc": "^3.2.27",
		"axios": "^0.26.1",
		"babel-loader": "^8.2.4",
		"babel-preset-vue": "^2.0.2",
		"bulma": "^0.9.3",
		"core-js": "^3.21.1",
		"css-loader": "^6.7.1",
		"floating-vue": "^2.0.0-beta.16",
		"html-webpack-plugin": "^5.5.0",
		"mini-css-extract-plugin": "^2.6.0",
		"postcss": "^8.4.12",
		"postcss-loader": "^6.2.1",
		"postcss-preset-env": "^7.4.3",
		"resolve-url-loader": "^5.0.0",
		"sass": "^1.49.11",
		"sass-loader": "^12.6.0",
		"ts-loader": "^9.2.8",
		"typescript": "^4.6.3",
		"v-tooltip": "^4.0.0-beta.17",
		"vue": "^3.2.27",
		"vue-i18n": "^9.2.0-beta.34",
		"vue-loader": "^17.0.0",
		"vue-router": "^4.0.14",
		"vuex": "^4.0.2",
		"webpack": "^5.71.0",
		"webpack-cli": "^4.9.2"
	},
	"devDependencies": {
		"@babel/eslint-parser": "^7.17.0",
		"@storybook/addon-a11y": "^6.4.20",
		"@storybook/addon-essentials": "^6.4.20",
		"@storybook/addons": "^6.4.20",
		"@storybook/builder-webpack5": "^6.4.20",
		"@storybook/manager-webpack5": "^6.4.20",
		"@storybook/vue3": "^6.4.20",
		"@types/jest": "^27.4.0",
		"@types/node": "^17.0.23",
		"@typescript-eslint/eslint-plugin": "^5.18.0",
		"@typescript-eslint/parser": "^5.18.0",
		"@vue/test-utils": "^2.0.0-rc.19",
		"babel-jest": "^27.5.1",
		"cross-env": "^7.0.3",
		"eslint": "^8.12.0",
		"eslint-plugin-storybook": "^0.5.7",
		"eslint-plugin-vue": "^8.6.0",
		"jest": "^27.5.1",
		"ts-jest": "^27.1.4",
		"vue-tsc": "^0.31.4",
		"vue3-jest": "^27.0.0-alpha.1",
		"webpack-bundle-analyzer": "^4.5.0",
		"webpack-dev-server": "^4.8.1"
	}
}
